VERSION 5.00
Begin VB.Form frmDataFileCr 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Data File Creation"
   ClientHeight    =   2295
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   6375
   Icon            =   "frmDataFileCr.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MDIChild        =   -1  'True
   MinButton       =   0   'False
   ScaleHeight     =   2295
   ScaleWidth      =   6375
   ShowInTaskbar   =   0   'False
   Begin VB.FileListBox File1 
      Height          =   1650
      Left            =   2400
      Pattern         =   "*.fcd"
      TabIndex        =   6
      Top             =   480
      Width           =   2295
   End
   Begin VB.DirListBox Dir1 
      Height          =   1665
      Left            =   120
      TabIndex        =   3
      Top             =   480
      Width           =   2175
   End
   Begin VB.DriveListBox Drive1 
      Height          =   315
      Left            =   4800
      TabIndex        =   2
      Top             =   480
      Width           =   1455
   End
   Begin VB.CommandButton CmdCancel 
      Caption         =   "Cancel"
      Height          =   495
      Left            =   4800
      TabIndex        =   1
      Top             =   1680
      Width           =   1455
   End
   Begin VB.CommandButton CmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   495
      Left            =   4800
      TabIndex        =   0
      Top             =   1080
      Width           =   1455
   End
   Begin VB.TextBox TxtFileName 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   161
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00C00000&
      Height          =   285
      Left            =   1800
      TabIndex        =   4
      Top             =   120
      Width           =   4455
   End
   Begin VB.Label Label1 
      Caption         =   "Data File Name:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   161
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00C00000&
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   120
      Width           =   1455
   End
End
Attribute VB_Name = "frmDataFileCr"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim FileName$

Private Sub CmdCancel_Click()
    Unload Me
End Sub

Private Sub CmdOK_Click()
    On Error GoTo ErrorTrap
    If TxtFileName.Text = "" Then
        Beep
        MsgBox "File Name is not a valid name", vbOKOnly
        Exit Sub
    Else
        If (Right$(Dir1.Path, 1) = "\") Then
            FileName$ = Dir1.Path + TxtFileName.Text
        Else
            FileName$ = Dir1.Path + "\" + TxtFileName.Text
        End If
        If (Right$(FileName$, 4) <> ".fcd") Then
            FileName$ = FileName$ + ".fcd"
        End If
    End If
    Open FileName$ For Output As #3
    Print #3, TITLE
    Print #3, NC, NP, NF, NE
    For i = 1 To NC
        Print #3, COMP(i)
        PHPR(i, 21) = PHPR(i, 1)
        If compkey = 1 Then
            PHPR(i, 1) = 1
            For j = 4 To 15
                PHPR(i, j) = PHPR(i, j) / PHPR(i, 21)
            Next j
        End If
    Next i
    For i = 1 To NC
        Print #3, Str(PHPR(i, 1)), Str(PHPR(i, 2)), Str(PHPR(i, 3)), Str(PHPR(i, 4)), Str(PHPR(i, 5))
        Print #3, Str(PHPR(i, 6)), Str(PHPR(i, 7)), Str(PHPR(i, 8)), Str(PHPR(i, 9)), Str(PHPR(i, 10))
        Print #3, Str(PHPR(i, 11)), Str(PHPR(i, 12)), Str(PHPR(i, 13)), Str(PHPR(i, 14)), Str(PHPR(i, 15))
        Print #3, Str(PHPR(i, 16)), Str(PHPR(i, 17)), Str(PHPR(i, 18)), Str(PHPR(i, 19)), Str(PHPR(i, 20))
        Print #3, Str(PHPR(i, 21))
    Next i
    For i = 1 To NF
        Print #3, GNFD(i, 1), GNFD(i, 2), GNFD(i, 3), GNFD(i, 4), GNFD(i, 5)
        Print #3, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
        If NC > 4 Then
            Print #3, GNFD(i, 11), GNFD(i, 12), GNFD(i, 13), GNFD(i, 14), GNFD(i, 15)
        End If
        If NC > 9 Then
            Print #3, GNFD(i, 16), GNFD(i, 17), GNFD(i, 18), GNFD(i, 19), GNFD(i, 20)
        End If
    Next i
    For i = 1 To NE
        Print #3, EQPM(i, 1), EQPM(i, 2), EQPM(i, 3)
        Print #3, EQPM(i, 4), EQPM(i, 5), EQPM(i, 6), EQPM(i, 7), EQPM(i, 8)
        Print #3, EQPM(i, 9), EQPM(i, 10), EQPM(i, 11), EQPM(i, 12), EQPM(i, 13)
        If EQPM(i, 3) > 13 Then
            Print #3, EQPM(i, 14), EQPM(i, 15), EQPM(i, 16), EQPM(i, 17), EQPM(i, 18)
        End If
        If EQPM(i, 3) > 18 Then
            Print #3, EQPM(i, 19), EQPM(i, 20), EQPM(i, 21), EQPM(i, 22), EQPM(i, 23)
        End If
        If EQPM(i, 3) > 23 Then
            Print #3, EQPM(i, 24), EQPM(i, 25), EQPM(i, 26), EQPM(i, 27), EQPM(i, 28)
        End If
        If EQPM(i, 3) > 28 Then
            Print #3, EQPM(i, 29), EQPM(i, 30), EQPM(i, 31), EQPM(i, 32), EQPM(i, 33)
        End If
        If EQPM(i, 3) > 33 Then
            Print #3, EQPM(i, 34), EQPM(i, 35), EQPM(i, 36), EQPM(i, 37), EQPM(i, 38)
        End If
        If EQPM(i, 3) > 38 Then
            Print #3, EQPM(i, 39), EQPM(i, 40), EQPM(i, 41), EQPM(i, 42), EQPM(i, 43)
        End If
        If EQPM(i, 3) > 43 Then
            Print #3, EQPM(i, 44), EQPM(i, 45), EQPM(i, 46), EQPM(i, 47), EQPM(i, 48)
        End If
        If EQPM(i, 3) > 48 Then
            Print #3, EQPM(i, 49), EQPM(i, 50), EQPM(i, 51), EQPM(i, 52), EQPM(i, 53)
        End If
        If EQPM(i, 3) > 53 Then
            Print #3, EQPM(i, 54), EQPM(i, 55), EQPM(i, 56), EQPM(i, 57), EQPM(i, 58)
        End If
        If EQPM(i, 3) > 58 Then
            Print #3, EQPM(i, 59), EQPM(i, 60), EQPM(i, 61), EQPM(i, 62), EQPM(i, 63)
        End If
        If EQPM(i, 3) > 63 Then
            Print #3, EQPM(i, 64), EQPM(i, 65), EQPM(i, 66), EQPM(i, 67), EQPM(i, 68)
        End If
        If EQPM(i, 3) > 68 Then
            Print #3, EQPM(i, 69), EQPM(i, 70), EQPM(i, 71), EQPM(i, 72), EQPM(i, 73)
        End If
        If EQPM(i, 3) > 73 Then
            Print #3, EQPM(i, 74), EQPM(i, 75), EQPM(i, 76), EQPM(i, 77), EQPM(i, 78)
        End If
        If EQPM(i, 3) > 78 Then
            Print #3, EQPM(i, 79), EQPM(i, 80), EQPM(i, 81), EQPM(i, 82), EQPM(i, 83)
        End If
        If EQPM(i, 3) > 83 Then
            Print #3, EQPM(i, 84), EQPM(i, 85), EQPM(i, 86), EQPM(i, 87), EQPM(i, 88)
        End If
        If EQPM(i, 3) > 88 Then
            Print #3, EQPM(i, 89), EQPM(i, 90), EQPM(i, 91), EQPM(i, 92), EQPM(i, 93)
        End If
        If EQPM(i, 3) > 93 Then
            Print #3, EQPM(i, 94), EQPM(i, 95), EQPM(i, 96), EQPM(i, 97), EQPM(i, 98)
        End If
        If EQPM(i, 3) > 98 Then
            Print #3, EQPM(i, 99), EQPM(i, 100)
        End If
    Next i
    Close #3
    Unload Me
    Exit Sub
ErrorTrap:
    Beep
    MsgBox "File Error", 48, "ditor"
End Sub

Private Sub Dir1_Change()
    File1.Path = Dir1.Path
End Sub

Private Sub Drive1_Change()
    Dir1.Path = Drive1.Drive
End Sub

Private Sub File1_Click()
    TxtFileName.Text = File1.FileName
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Screen.MousePointer = vbDefault
    frmUnits.CmdCancel = True
End Sub
