VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "Comdlg32.ocx"
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.MDIForm frmMain 
   BackColor       =   &H8000000C&
   Caption         =   "Flowcalc"
   ClientHeight    =   4830
   ClientLeft      =   165
   ClientTop       =   855
   ClientWidth     =   7860
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "MDIForm1"
   StartUpPosition =   3  'Windows Default
   Begin MSComctlLib.StatusBar sbStatusBar 
      Align           =   2  'Align Bottom
      Height          =   270
      Left            =   0
      TabIndex        =   0
      Top             =   4560
      Width           =   7860
      _ExtentX        =   13864
      _ExtentY        =   476
      _Version        =   393216
      BeginProperty Panels {8E3867A5-8586-11D1-B16A-00C0F0283628} 
         NumPanels       =   3
         BeginProperty Panel1 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            AutoSize        =   1
            Object.Width           =   8202
            Text            =   "Status"
            TextSave        =   "Status"
         EndProperty
         BeginProperty Panel2 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            Style           =   6
            AutoSize        =   2
            TextSave        =   "19/4/2005"
         EndProperty
         BeginProperty Panel3 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            Style           =   5
            AutoSize        =   2
            TextSave        =   "10:37 "
         EndProperty
      EndProperty
   End
   Begin MSComDlg.CommonDialog dlgCommonDialog 
      Left            =   3720
      Top             =   1800
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Menu mnuFile 
      Caption         =   "File"
      Begin VB.Menu mnuDataPreparation 
         Caption         =   "Flowsheeting Data File Preparation"
      End
      Begin VB.Menu mnuFileBar0 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileExit 
         Caption         =   "Exit"
      End
   End
   Begin VB.Menu mnuEdit 
      Caption         =   "Edit"
      Begin VB.Menu mnuModFlowSheet 
         Caption         =   "Flowsheeting Data"
      End
      Begin VB.Menu mnuModPhysProp 
         Caption         =   "Physical Properties"
      End
   End
   Begin VB.Menu mnuView 
      Caption         =   "View"
      Begin VB.Menu mnuViewStatusBar 
         Caption         =   "Status Bar"
         Checked         =   -1  'True
      End
      Begin VB.Menu mnuViewBar0 
         Caption         =   "-"
      End
      Begin VB.Menu mnuViewFlow 
         Caption         =   "Flow Characteristics"
      End
      Begin VB.Menu mnuViewProp 
         Caption         =   "Physical Properties"
      End
   End
   Begin VB.Menu mnuTools 
      Caption         =   "Tools"
      Begin VB.Menu mnuToolsRun 
         Caption         =   "Run..."
      End
   End
   Begin VB.Menu mnuWindow 
      Caption         =   "Window"
      WindowList      =   -1  'True
      Begin VB.Menu mnuWindowCascade 
         Caption         =   "Cascade"
      End
      Begin VB.Menu mnuWindowTileHorizontal 
         Caption         =   "Tile Horizontal"
      End
      Begin VB.Menu mnuWindowTileVertical 
         Caption         =   "Tile Vertical"
      End
      Begin VB.Menu mnuWindowArrangeIcons 
         Caption         =   "Arrange Icons"
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "Help"
      Begin VB.Menu mnuHelpContents 
         Caption         =   "Contents"
      End
      Begin VB.Menu mnuHelpBar0 
         Caption         =   "-"
      End
      Begin VB.Menu mnuHelpAbout 
         Caption         =   "About "
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As Any) As Long
Const EM_UNDO = &HC7
Private Declare Function OSWinHelp% Lib "user32" Alias "WinHelpA" (ByVal hwnd&, ByVal HelpFile$, ByVal wCommand%, dwData As Any)

Private Sub MDIForm_Load()
    Me.Left = GetSetting(App.TITLE, "Settings", "MainLeft", 1000)
    Me.Top = GetSetting(App.TITLE, "Settings", "MainTop", 1000)
    Me.Width = GetSetting(App.TITLE, "Settings", "MainWidth", 6500)
    Me.Height = GetSetting(App.TITLE, "Settings", "MainHeight", 6500)
    FlagProp = 0
    FlagAgri = 0
    FlagChem = 0
    PropFlag = 0
    FlagFlow = 0
    FlagProg = 0
    FlagData = 0
    TITLE = ""
    NC = 0
    NP = 21
    NF = 0
    NE = 0
    NFcounter = 0
    NPcounter = 0
    For i = 1 To 14
        COMP(i) = ""
        For j = 1 To 20
            PHPR(i, j) = 0
        Next j
        PP(i) = 0
    Next i
    For i = 1 To 10
        For j = 1 To 100
            EQPM(i, j) = 0
        Next j
        NPunit(i) = 0
    Next i
    For i = 1 To 50
        For j = 1 To 20
            GNFD(i, j) = 0
        Next j
    Next i
End Sub

Private Sub MDIForm_Unload(Cancel As Integer)
    If Me.WindowState <> vbMinimized Then
        SaveSetting App.TITLE, "Settings", "MainLeft", Me.Left
        SaveSetting App.TITLE, "Settings", "MainTop", Me.Top
        SaveSetting App.TITLE, "Settings", "MainWidth", Me.Width
        SaveSetting App.TITLE, "Settings", "MainHeight", Me.Height
    End If
End Sub

Private Sub mnuDataPreparation_Click()
    If FlagFlow = 1 Then
        Beep
        MsgBox "Flowsheet results file is already in use", vbOKOnly
        Exit Sub
    ElseIf FlagFlow = 2 Or FlagFlow = 3 Or PropFlag = 1 Or NC = 14 Then
        Beep
        MsgBox "Flowsheet data file is already in use", vbOKOnly
        Exit Sub
    ElseIf FlagProp = 1 Or FlagProp = 2 Or FlagProp = 3 Then
        Beep
        MsgBox "Physical properties data file is already in use", vbOKOnly
        Exit Sub
    End If
    FlagProp = 2
    PropFlag = 1
    frmProp.cmdEnd.Enabled = False
    frmProp.cmdCansel.Enabled = False
    frmProp.cmdComprem.Enabled = False
    frmProp.cmdQuit.Enabled = True
    frmProp.Width = 6465
    For i = 1 To NC
        frmProp.ListComp.AddItem COMP(i)
    Next i
    frmProp.Show
End Sub

Private Sub mnuModFlowSheet_Click()
    If FlagFlow = 1 Then
        Beep
        MsgBox "Flowsheet results file is already in use", vbOKOnly
        Exit Sub
    ElseIf FlagFlow = 2 Or FlagFlow = 3 Or PropFlag = 1 Or NC = 14 Then
        Beep
        MsgBox "Flowsheet data file is already in use", vbOKOnly
        Exit Sub
    End If
    FlagFlow = 3
    frmDataFile.Show
End Sub

Private Sub mnuModPhysProp_Click()
    If FlagProp = 1 Or FlagProp = 2 Or FlagProp = 3 Then
        Beep
        MsgBox "Physical properties data file is already in use", vbOKOnly
        Exit Sub
    End If
    FlagProp = 3
    frmProp.cmdEnd.Enabled = False
    frmProp.cmdCansel.Enabled = False
    frmProp.cmdComprem.Enabled = False
    frmProp.cmdQuit.Enabled = True
    frmProp.Width = 3345
    frmProp.Show
End Sub

Private Sub mnuToolsRun_Click()
    If FlagFlow = 1 Then
        Beep
        MsgBox "Flowsheet results file is already in use", vbOKOnly
        Exit Sub
    ElseIf FlagFlow = 2 Or FlagFlow = 3 Or PropFlag = 1 Or NC = 14 Then
        Beep
        MsgBox "Flowsheet data file is already in use", vbOKOnly
        Exit Sub
    End If
    FlagFlow = 2
    frmDataFile.Show
End Sub

Private Sub mnuViewFlow_Click()
    If FlagFlow = 1 Then
        Beep
        MsgBox "Flowsheet results file is already in use", vbOKOnly
        Exit Sub
    ElseIf FlagFlow = 2 Or FlagFlow = 3 Or PropFlag = 1 Or NC = 14 Then
        Beep
        MsgBox "Flowsheet data file is already in use", vbOKOnly
        Exit Sub
    End If
    FlagFlow = 1
    frmResultsFile.Show
End Sub

Private Sub mnuViewProp_Click()
    If FlagProp = 1 Or FlagProp = 2 Or FlagProp = 3 Then
        Beep
        MsgBox "Physical properties data file is in use", vbOKOnly
        Exit Sub
    End If
    FlagProp = 1
    frmProp.cmdEnd.Enabled = False
    frmProp.cmdCansel.Enabled = False
    frmProp.cmdComprem.Enabled = False
    frmProp.cmdQuit.Enabled = True
    frmProp.Width = 3345
    frmProp.Show
End Sub

Private Sub tbToolBar_ButtonClick(ByVal Button As MSComCtlLib.Button)
    On Error Resume Next
    Select Case Button.key
        Case "Help"
            mnuHelpContents_Click
    End Select
End Sub

Private Sub mnuHelpAbout_Click()
    frmAbout.Show vbModal, Me
End Sub

Private Sub mnuHelpContents_Click()
    frmHelpContents.Show
End Sub

Private Sub mnuWindowArrangeIcons_Click()
    Me.Arrange vbArrangeIcons
End Sub

Private Sub mnuWindowTileVertical_Click()
    Me.Arrange vbTileVertical
End Sub

Private Sub mnuWindowTileHorizontal_Click()
    Me.Arrange vbTileHorizontal
End Sub

Private Sub mnuWindowCascade_Click()
    Me.Arrange vbCascade
End Sub

Private Sub mnuViewStatusBar_Click()
    mnuViewStatusBar.Checked = Not mnuViewStatusBar.Checked
    sbStatusBar.Visible = mnuViewStatusBar.Checked
End Sub

Private Sub mnuViewToolbar_Click()
    mnuViewToolbar.Checked = Not mnuViewToolbar.Checked
    tbToolBar.Visible = mnuViewToolbar.Checked
End Sub

Private Sub mnuFileExit_Click()
    Unload Me
End Sub

