VERSION 5.00
Begin VB.Form frmResultsFile 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Results File Selection"
   ClientHeight    =   2295
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   6375
   Icon            =   "frmResultsFile.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MDIChild        =   -1  'True
   MinButton       =   0   'False
   ScaleHeight     =   2295
   ScaleWidth      =   6375
   ShowInTaskbar   =   0   'False
   Begin VB.FileListBox File1 
      Height          =   1650
      Left            =   2400
      Pattern         =   "*.fcr"
      TabIndex        =   6
      Top             =   480
      Width           =   2295
   End
   Begin VB.DirListBox Dir1 
      Height          =   1665
      Left            =   120
      TabIndex        =   5
      Top             =   480
      Width           =   2175
   End
   Begin VB.DriveListBox Drive1 
      Height          =   315
      Left            =   4800
      TabIndex        =   4
      Top             =   480
      Width           =   1455
   End
   Begin VB.CommandButton CmdCancel 
      Caption         =   "Cancel"
      Height          =   495
      Left            =   4800
      TabIndex        =   1
      Top             =   1680
      Width           =   1455
   End
   Begin VB.CommandButton CmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   495
      Left            =   4800
      TabIndex        =   0
      Top             =   1080
      Width           =   1455
   End
   Begin VB.TextBox TxtFileName 
      Enabled         =   0   'False
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   161
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00C00000&
      Height          =   285
      Left            =   1800
      TabIndex        =   3
      Top             =   120
      Width           =   4455
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Results File Name:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   161
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00C00000&
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   1695
   End
End
Attribute VB_Name = "frmResultsFile"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim FileName$
Dim Dummy$
Dim P$(5)

Private Sub CmdCancel_Click()
    Unload Me
End Sub

Private Sub CmdOK_Click()
    On Error GoTo ErrorTrap
    If TxtFileName.Text = "" Then
        Beep
        MsgBox "File Name is not a valid name", vbOKOnly
        Exit Sub
    Else
        If (Right$(Dir1.Path, 1) = "\") Then
            FileName$ = Dir1.Path + TxtFileName.Text
        Else
            FileName$ = Dir1.Path + "\" + TxtFileName.Text
        End If
    End If
    Open FileName$ For Input As #4
    Input #4, TITLE
    Input #4, NC, NP, NF, NE
    For i = 1 To NC * 6
        Line Input #4, Dummy$
    Next i
    For i = 1 To NF
        Input #4, GNFD(i, 1), GNFD(i, 2), GNFD(i, 3), GNFD(i, 4), GNFD(i, 5)
        Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
        If NC > 4 Then
            Input #4, GNFD(i, 11), GNFD(i, 12), GNFD(i, 13), GNFD(i, 14), GNFD(i, 15)
        End If
        If NC > 9 Then
            Input #4, GNFD(i, 16), GNFD(i, 17), GNFD(i, 18), GNFD(i, 19), GNFD(i, 20)
        End If
    Next i
    For i = 1 To NE
        Input #4, EQPM(i, 1), EQPM(i, 2), EQPM(i, 3)
        Input #4, EQPM(i, 4), EQPM(i, 5), EQPM(i, 6), EQPM(i, 7), EQPM(i, 8)
        Input #4, EQPM(i, 9), EQPM(i, 10), EQPM(i, 11), EQPM(i, 12), EQPM(i, 13)
        If EQPM(i, 3) > 13 Then
            Input #4, EQPM(i, 14), EQPM(i, 15), EQPM(i, 16), EQPM(i, 17), EQPM(i, 18)
        End If
        If EQPM(i, 3) > 18 Then
            Input #4, EQPM(i, 19), EQPM(i, 20), EQPM(i, 21), EQPM(i, 22), EQPM(i, 23)
        End If
        If EQPM(i, 3) > 23 Then
            Input #4, EQPM(i, 24), EQPM(i, 25), EQPM(i, 26), EQPM(i, 27), EQPM(i, 28)
        End If
        If EQPM(i, 3) > 28 Then
            Input #4, EQPM(i, 29), EQPM(i, 30), EQPM(i, 31), EQPM(i, 32), EQPM(i, 33)
        End If
        If EQPM(i, 3) > 33 Then
            Input #4, EQPM(i, 34), EQPM(i, 35), EQPM(i, 36), EQPM(i, 37), EQPM(i, 38)
        End If
        If EQPM(i, 3) > 38 Then
            Input #4, EQPM(i, 39), EQPM(i, 40), EQPM(i, 41), EQPM(i, 42), EQPM(i, 43)
        End If
        If EQPM(i, 3) > 43 Then
            Input #4, EQPM(i, 44), EQPM(i, 45), EQPM(i, 46), EQPM(i, 47), EQPM(i, 48)
        End If
        If EQPM(i, 3) > 48 Then
            Input #4, EQPM(i, 49), EQPM(i, 50), EQPM(i, 51), EQPM(i, 52), EQPM(i, 53)
        End If
        If EQPM(i, 3) > 53 Then
            Input #4, EQPM(i, 54), EQPM(i, 55), EQPM(i, 56), EQPM(i, 57), EQPM(i, 58)
        End If
        If EQPM(i, 3) > 58 Then
            Input #4, EQPM(i, 59), EQPM(i, 60), EQPM(i, 61), EQPM(i, 62), EQPM(i, 63)
        End If
        If EQPM(i, 3) > 63 Then
            Input #4, EQPM(i, 64), EQPM(i, 65), EQPM(i, 66), EQPM(i, 67), EQPM(i, 68)
        End If
        If EQPM(i, 3) > 68 Then
            Input #4, EQPM(i, 69), EQPM(i, 70), EQPM(i, 71), EQPM(i, 72), EQPM(i, 73)
        End If
        If EQPM(i, 3) > 73 Then
            Input #4, EQPM(i, 74), EQPM(i, 75), EQPM(i, 76), EQPM(i, 77), EQPM(i, 78)
        End If
        If EQPM(i, 3) > 78 Then
            Input #4, EQPM(i, 79), EQPM(i, 80), EQPM(i, 81), EQPM(i, 82), EQPM(i, 83)
        End If
        If EQPM(i, 3) > 83 Then
            Input #4, EQPM(i, 84), EQPM(i, 85), EQPM(i, 86), EQPM(i, 87), EQPM(i, 88)
        End If
        If EQPM(i, 3) > 88 Then
            Input #4, EQPM(i, 89), EQPM(i, 90), EQPM(i, 91), EQPM(i, 92), EQPM(i, 93)
        End If
        If EQPM(i, 3) > 93 Then
            Input #4, EQPM(i, 94), EQPM(i, 95), EQPM(i, 96), EQPM(i, 97), EQPM(i, 98)
        End If
        If EQPM(i, 3) > 98 Then
            Input #4, EQPM(i, 99), EQPM(i, 100)
        End If
    Next i
    Input #4, TITLE
    Input #4, NE, Nl
    NC = Nl - 6
    For i = 1 To NC
        Input #4, COMP(i), PP(i)
    Next i
    compkey = 0
    For i = 1 To NC
        If PP(i) = 1 Then
            compkey = 1
        End If
    Next i
    Input #4, Nr, NF
    For i = 1 To NF
        Input #4, GNFD(i, 1), GNFD(i, 2), GNFD(i, 3), GNFD(i, 4), GNFD(i, 5)
        If NC = 1 Then
            Input #4, GNFD(i, 6), GNFD(i, 7)
        ElseIf NC = 2 Then
            Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8)
        ElseIf NC = 3 Then
            Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9)
        ElseIf NC = 4 Then
            Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
        ElseIf NC = 5 Then
            Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
            Input #4, GNFD(i, 11)
        ElseIf NC = 6 Then
            Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
            Input #4, GNFD(i, 11), GNFD(i, 12)
        ElseIf NC = 7 Then
            Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
            Input #4, GNFD(i, 11), GNFD(i, 12), GNFD(i, 13)
        ElseIf NC = 8 Then
            Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
            Input #4, GNFD(i, 11), GNFD(i, 12), GNFD(i, 13), GNFD(i, 14)
        ElseIf NC = 9 Then
            Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
            Input #4, GNFD(i, 11), GNFD(i, 12), GNFD(i, 13), GNFD(i, 14), GNFD(i, 15)
        ElseIf NC = 10 Then
            Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
            Input #4, GNFD(i, 11), GNFD(i, 12), GNFD(i, 13), GNFD(i, 14), GNFD(i, 15)
            Input #4, GNFD(i, 16)
        ElseIf NC = 11 Then
            Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
            Input #4, GNFD(i, 11), GNFD(i, 12), GNFD(i, 13), GNFD(i, 14), GNFD(i, 15)
            Input #4, GNFD(i, 16), GNFD(i, 17)
        ElseIf NC = 12 Then
            Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
            Input #4, GNFD(i, 11), GNFD(i, 12), GNFD(i, 13), GNFD(i, 14), GNFD(i, 15)
            Input #4, GNFD(i, 16), GNFD(i, 17), GNFD(i, 18)
        ElseIf NC = 13 Then
            Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
            Input #4, GNFD(i, 11), GNFD(i, 12), GNFD(i, 13), GNFD(i, 14), GNFD(i, 15)
            Input #4, GNFD(i, 16), GNFD(i, 17), GNFD(i, 18), GNFD(i, 19)
        ElseIf NC = 14 Then
            Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
            Input #4, GNFD(i, 11), GNFD(i, 12), GNFD(i, 13), GNFD(i, 14), GNFD(i, 15)
            Input #4, GNFD(i, 16), GNFD(i, 17), GNFD(i, 18), GNFD(i, 19), GNFD(i, 20)
        End If
    Next i
    Nocounter = NF
    For j = 1 To NE
        Input #4, Nr, No
        For i = (Nocounter + 1) To (Nocounter + No)
            Input #4, GNFD(i, 1), GNFD(i, 2), GNFD(i, 3), GNFD(i, 4), GNFD(i, 5)
            If NC = 1 Then
                Input #4, GNFD(i, 6), GNFD(i, 7)
            ElseIf NC = 2 Then
                Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8)
            ElseIf NC = 3 Then
                Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9)
            ElseIf NC = 4 Then
                Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
            ElseIf NC = 5 Then
                Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
                Input #4, GNFD(i, 11)
            ElseIf NC = 6 Then
                Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
                Input #4, GNFD(i, 11), GNFD(i, 12)
            ElseIf NC = 7 Then
                Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
                Input #4, GNFD(i, 11), GNFD(i, 12), GNFD(i, 13)
            ElseIf NC = 8 Then
                Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
                Input #4, GNFD(i, 11), GNFD(i, 12), GNFD(i, 13), GNFD(i, 14)
            ElseIf NC = 9 Then
                Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
                Input #4, GNFD(i, 11), GNFD(i, 12), GNFD(i, 13), GNFD(i, 14), GNFD(i, 15)
            ElseIf NC = 10 Then
                Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
                Input #4, GNFD(i, 11), GNFD(i, 12), GNFD(i, 13), GNFD(i, 14), GNFD(i, 15)
                Input #4, GNFD(i, 16)
            ElseIf NC = 11 Then
                Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
                Input #4, GNFD(i, 11), GNFD(i, 12), GNFD(i, 13), GNFD(i, 14), GNFD(i, 15)
                Input #4, GNFD(i, 16), GNFD(i, 17)
            ElseIf NC = 12 Then
                Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
                Input #4, GNFD(i, 11), GNFD(i, 12), GNFD(i, 13), GNFD(i, 14), GNFD(i, 15)
                Input #4, GNFD(i, 16), GNFD(i, 17), GNFD(i, 18)
            ElseIf NC = 13 Then
                Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
                Input #4, GNFD(i, 11), GNFD(i, 12), GNFD(i, 13), GNFD(i, 14), GNFD(i, 15)
                Input #4, GNFD(i, 16), GNFD(i, 17), GNFD(i, 18), GNFD(i, 19)
            ElseIf NC = 14 Then
                Input #4, GNFD(i, 6), GNFD(i, 7), GNFD(i, 8), GNFD(i, 9), GNFD(i, 10)
                Input #4, GNFD(i, 11), GNFD(i, 12), GNFD(i, 13), GNFD(i, 14), GNFD(i, 15)
                Input #4, GNFD(i, 16), GNFD(i, 17), GNFD(i, 18), GNFD(i, 19), GNFD(i, 20)
            End If
        Next i
        Nocounter = Nocounter + No
    Next j
    key = 0
    Input #4, N1, N2, N3
    If N3 = 0 Then
        Close #4
    End If
    frmResults.Height = 3240
    frmResults.TxtTITLE.Enabled = False
    frmResults.CmdCancel.Visible = True
    frmResults.Frame1.Visible = True
    Unload Me
    FlagFlow = 1
    frmResults.Show
    frmResults.TxtTITLE.Text = TITLE
    frmResults.LblFeed.Visible = True
    If NF = 1 Then
        frmResults.ImgFeed = LoadPicture("C:\Program Files\Flowcalc\F01.bmp")
    ElseIf NF = 2 Then
        frmResults.ImgFeed = LoadPicture("C:\Program Files\Flowcalc\F02.bmp")
    ElseIf NF = 3 Then
        frmResults.ImgFeed = LoadPicture("C:\Program Files\Flowcalc\F03.bmp")
    ElseIf NF = 4 Then
        frmResults.ImgFeed = LoadPicture("C:\Program Files\Flowcalc\F04.bmp")
    ElseIf NF = 5 Then
        frmResults.ImgFeed = LoadPicture("C:\Program Files\Flowcalc\F05.bmp")
    ElseIf NF = 6 Then
        frmResults.ImgFeed = LoadPicture("C:\Program Files\Flowcalc\F06.bmp")
    ElseIf NF = 7 Then
        frmResults.ImgFeed = LoadPicture("C:\Program Files\Flowcalc\F07.bmp")
    ElseIf NF = 8 Then
        frmResults.ImgFeed = LoadPicture("C:\Program Files\Flowcalc\F08.bmp")
    ElseIf NF = 9 Then
        frmResults.ImgFeed = LoadPicture("C:\Program Files\Flowcalc\F09.bmp")
    End If
    frmResults.LblFType.Visible = True
    For i = 1 To NE
        If EQPM(i, 2) = 1 Then
            frmResults.LblUType(i).Caption = "01"
            If EQPM(i, 9) = 1 Then
                frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U01A.bmp")
            ElseIf EQPM(i, 9) = 2 Then
                frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U01B.bmp")
            ElseIf EQPM(i, 9) = 3 Then
                frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U01C.bmp")
            ElseIf EQPM(i, 9) = 4 Then
                frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U01D.bmp")
            ElseIf EQPM(i, 9) = 5 Then
                frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U01E.bmp")
            End If
        ElseIf EQPM(i, 2) = 2 Then
            frmResults.LblUType(i).Caption = "02"
            frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U02.bmp")
        ElseIf EQPM(i, 2) = 3 Then
            frmResults.LblUType(i).Caption = "03"
            If EQPM(i, 3) = 10 Then
                frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U03A.bmp")
            ElseIf EQPM(i, 3) = 11 Then
                frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U03B.bmp")
            ElseIf EQPM(i, 3) = 12 Then
                frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U03C.bmp")
            ElseIf EQPM(i, 3) = 13 Then
                frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U03D.bmp")
            ElseIf EQPM(i, 3) = 14 Then
                frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U03E.bmp")
            End If
        ElseIf EQPM(i, 2) = 4 Then
            frmResults.LblUType(i).Caption = "04"
            If EQPM(i, 3) = 10 + NC Then
                frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U04A.bmp")
            ElseIf EQPM(i, 3) = 11 + 2 * NC Then
                frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U04B.bmp")
            ElseIf EQPM(i, 3) = 12 + 3 * NC Then
                frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U04C.bmp")
            ElseIf EQPM(i, 3) = 13 + 4 * NC Then
                frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U04D.bmp")
            ElseIf EQPM(i, 3) = 14 + 5 * NC Then
                frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U04E.bmp")
            End If
        ElseIf EQPM(i, 2) = 5 Then
            frmResults.LblUType(i).Caption = "05"
            frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U05.bmp")
        ElseIf EQPM(i, 2) = 6 Then
            frmResults.LblUType(i).Caption = "06"
            frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U06.bmp")
        ElseIf EQPM(i, 2) = 7 Then
            frmResults.LblUType(i).Caption = "07"
            frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U07.bmp")
        ElseIf EQPM(i, 2) = 8 Then
            frmResults.LblUType(i).Caption = "08"
            frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U08.bmp")
        ElseIf EQPM(i, 2) = 9 Then
            frmResults.LblUType(i).Caption = "09"
            frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U09.bmp")
        ElseIf EQPM(i, 2) = 10 Then
            frmResults.LblUType(i).Caption = "10"
            If EQPM(i, 5) = 0.03 Then
                frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U10A.bmp")
            ElseIf EQPM(i, 5) = 0.04 Then
                frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U10B.bmp")
            End If
        ElseIf EQPM(i, 2) = 11 Then
            frmResults.LblUType(i).Caption = "11"
            frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U11.bmp")
        ElseIf EQPM(i, 2) = 12 Then
            frmResults.LblUType(i).Caption = "12"
            frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U12.bmp")
        ElseIf EQPM(i, 2) = 13 Then
            frmResults.LblUType(i).Caption = "13"
            frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U13.bmp")
        ElseIf EQPM(i, 2) = 14 Then
            frmResults.LblUType(i).Caption = "14"
            frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U14.bmp")
        ElseIf EQPM(i, 2) = 15 Then
            frmResults.LblUType(i).Caption = "15"
            frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U15.bmp")
        ElseIf EQPM(i, 2) = 16 Then
            frmResults.LblUType(i).Caption = "16"
            frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U16.bmp")
        ElseIf EQPM(i, 2) = 17 Then
            frmResults.LblUType(i).Caption = "17"
            frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U17.bmp")
        ElseIf EQPM(i, 2) = 18 Then
            frmResults.LblUType(i).Caption = "18"
            frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U18.bmp")
        ElseIf EQPM(i, 2) = 19 Then
            frmResults.LblUType(i).Caption = "19"
            frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U19.bmp")
        ElseIf EQPM(i, 2) = 20 Then
            frmResults.LblUType(i).Caption = "20"
            frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U20.bmp")
        ElseIf EQPM(i, 2) = 21 Then
            frmResults.LblUType(i).Caption = "21"
            frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U21.bmp")
        ElseIf EQPM(i, 2) = 22 Then
            frmResults.LblUType(i).Caption = "22"
            frmResults.Images(i) = LoadPicture("C:\Program Files\Flowcalc\U22.bmp")
        End If
        frmResults.Labels(i).Visible = True
        frmResults.Labels(i).Caption = i
        frmResults.LblUType(i).Visible = True
    Next i
    For k = 1 To NF
        Idest = GNFD(k, 2)
        i = Idest * 5 - 5
        key = 0
        If GNFD(k, 1) = 0.1 Then
            F$ = "F1"
        ElseIf GNFD(k, 1) = 0.2 Then
            F$ = "F2"
        ElseIf GNFD(k, 1) = 0.3 Then
            F$ = "F3"
        ElseIf GNFD(k, 1) = 0.4 Then
            F$ = "F4"
        ElseIf GNFD(k, 1) = 0.5 Then
            F$ = "F5"
        ElseIf GNFD(k, 1) = 0.6 Then
            F$ = "F6"
        ElseIf GNFD(k, 1) = 0.7 Then
            F$ = "F7"
        ElseIf GNFD(k, 1) = 0.8 Then
            F$ = "F8"
        ElseIf GNFD(k, 1) = 0.9 Then
            F$ = "F9"
        End If
        If EQPM(Idest, 9) = 1 Then
            If EQPM(Idest, 2) = 8 Or EQPM(Idest, 2) = 10 Or EQPM(Idest, 2) = 11 Or EQPM(Idest, 2) = 12 Or EQPM(Idest, 2) = 14 Then
                If frmResults.LblF(i + 2).Caption = "" Then
                    frmResults.LblF(i + 2).Caption = F$
                    key = 1
                End If
            ElseIf EQPM(Idest, 2) = 16 Or EQPM(Idest, 2) = 18 Then
                If frmResults.LblF(i + 4).Caption = "" Then
                    frmResults.LblF(i + 4).Caption = F$
                    key = 1
                End If
            Else
                If frmResults.LblF(i + 3).Caption = "" Then
                    frmResults.LblF(i + 3) = F$
                    key = 1
                End If
            End If
        ElseIf EQPM(Idest, 9) = 2 Then
            For j = 1 To 2
                If frmResults.LblF(i + j * 2).Caption = "" And key = 0 Then
                    frmResults.LblF(i + j * 2).Caption = F$
                    key = 1
                End If
            Next j
        ElseIf EQPM(Idest, 9) = 3 Then
            For j = 1 To 3
                If frmResults.LblF(i + j + 1).Caption = "" And key = 0 Then
                    frmResults.LblF(i + j + 1).Caption = F$
                    key = 1
                End If
            Next j
        ElseIf EQPM(Idest, 9) = 4 Then
            For j = 1 To 2
                If frmResults.LblF(i + j).Caption = "" And key = 0 Then
                    frmResults.LblF(i + j).Caption = F$
                    key = 1
                End If
            Next j
            For j = 3 To 4
                If frmResults.LblF(i + j + 1).Caption = "" And key = 0 Then
                    frmResults.LblF(i + j + 1).Caption = F$
                    key = 1
                End If
            Next j
        ElseIf EQPM(Idest, 9) = 5 Then
            For j = 1 To 5
                If frmResults.LblF(i + j).Caption = "" And key = 0 Then
                    frmResults.LblF(i + j).Caption = F$
                    key = 1
                End If
            Next j
        End If
        If NF = 1 Then
            frmResults.LblFP(5).Caption = Int(GNFD(k, 2))
        ElseIf NF = 2 Then
            If GNFD(k, 1) = 0.1 Then
                frmResults.LblFP(3).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.2 Then
                frmResults.LblFP(7).Caption = Int(GNFD(k, 2))
            End If
        ElseIf NF = 3 Then
            If GNFD(k, 1) = 0.1 Then
                frmResults.LblFP(1).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.2 Then
                frmResults.LblFP(5).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.3 Then
                frmResults.LblFP(9).Caption = Int(GNFD(k, 2))
            End If
        ElseIf NF = 4 Then
            If GNFD(k, 1) = 0.1 Then
                frmResults.LblFP(2).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.2 Then
                frmResults.LblFP(4).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.3 Then
                frmResults.LblFP(6).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.4 Then
                frmResults.LblFP(8).Caption = Int(GNFD(k, 2))
            End If
        ElseIf NF = 5 Then
            If GNFD(k, 1) = 0.1 Then
                frmResults.LblFP(1).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.2 Then
                frmResults.LblFP(3).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.3 Then
                frmResults.LblFP(5).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.4 Then
                frmResults.LblFP(7).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.5 Then
                frmResults.LblFP(9).Caption = Int(GNFD(k, 2))
            End If
        ElseIf NF = 6 Then
            If GNFD(k, 1) = 0.1 Then
                frmResults.LblFP(2).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.2 Then
                frmResults.LblFP(3).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.3 Then
                frmResults.LblFP(4).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.4 Then
                frmResults.LblFP(6).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.5 Then
                frmResults.LblFP(7).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.6 Then
                frmResults.LblFP(8).Caption = Int(GNFD(k, 2))
            End If
        ElseIf NF = 7 Then
            If GNFD(k, 1) = 0.1 Then
                frmResults.LblFP(2).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.2 Then
                frmResults.LblFP(3).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.3 Then
                frmResults.LblFP(4).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.4 Then
                frmResults.LblFP(5).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.5 Then
                frmResults.LblFP(6).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.6 Then
                frmResults.LblFP(7).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.7 Then
                frmResults.LblFP(8).Caption = Int(GNFD(k, 2))
            End If
        ElseIf NF = 8 Then
            If GNFD(k, 1) = 0.1 Then
                frmResults.LblFP(1).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.2 Then
                frmResults.LblFP(2).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.3 Then
                frmResults.LblFP(3).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.4 Then
                frmResults.LblFP(4).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.5 Then
                frmResults.LblFP(6).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.6 Then
                frmResults.LblFP(7).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.7 Then
                frmResults.LblFP(8).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.8 Then
                frmResults.LblFP(9).Caption = Int(GNFD(k, 2))
            End If
        ElseIf NF = 9 Then
            If GNFD(k, 1) = 0.1 Then
                frmResults.LblFP(1).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.2 Then
                frmResults.LblFP(2).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.3 Then
                frmResults.LblFP(3).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.4 Then
                frmResults.LblFP(4).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.5 Then
                frmResults.LblFP(5).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.6 Then
                frmResults.LblFP(6).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.7 Then
                frmResults.LblFP(7).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.8 Then
                frmResults.LblFP(8).Caption = Int(GNFD(k, 2))
            ElseIf GNFD(k, 1) = 0.9 Then
                frmResults.LblFP(9).Caption = Int(GNFD(k, 2))
            End If
        End If
    Next k
    NPcounter = 0
    For Index = 1 To NE
        If EQPM(Index, 2) = 1 Then
            No = 1
        ElseIf EQPM(Index, 2) = 2 Then
            No = 1
        ElseIf EQPM(Index, 2) = 3 Then
            No = EQPM(Index, 3) - 9
        ElseIf EQPM(Index, 2) = 4 Then
            No = (EQPM(Index, 3) - 9) / (NC + 1)
        ElseIf EQPM(Index, 2) = 5 Then
            No = 2
        ElseIf EQPM(Index, 2) = 6 Then
            No = 2
        ElseIf EQPM(Index, 2) = 7 Then
            No = 2
        ElseIf EQPM(Index, 2) = 8 Then
            No = 2
        ElseIf EQPM(Index, 2) = 9 Then
            No = 3
        ElseIf EQPM(Index, 2) = 10 Then
            No = 2
        ElseIf EQPM(Index, 2) = 11 Then
            No = 3
        ElseIf EQPM(Index, 2) = 12 Then
            No = 3
        ElseIf EQPM(Index, 2) = 13 Then
            No = 3
        ElseIf EQPM(Index, 2) = 14 Then
            No = 3
        ElseIf EQPM(Index, 2) = 15 Then
            No = 2
        ElseIf EQPM(Index, 2) = 16 Then
            No = 2
        ElseIf EQPM(Index, 2) = 17 Then
            No = 2
        ElseIf EQPM(Index, 2) = 18 Then
            No = 2
        ElseIf EQPM(Index, 2) = 19 Then
            No = 2
        ElseIf EQPM(Index, 2) = 20 Then
            No = 2
        ElseIf EQPM(Index, 2) = 21 Then
            No = 2
        ElseIf EQPM(Index, 2) = 22 Then
            No = 1
        End If
        For k = 1 To No
            Idest = EQPM(Index, 3 + k)
            i = Idest * 5 - 5
            key = 0
            If EQPM(Idest, 9) = 1 Then
                If EQPM(Idest, 2) = 8 Or EQPM(Idest, 2) = 10 Or EQPM(Idest, 2) = 11 Or EQPM(Idest, 2) = 12 Or EQPM(Idest, 2) = 14 Then
                    If frmResults.LblF(i + 2).Caption = "" Then
                        frmResults.LblF(i + 2).Caption = Index
                        key = 1
                    End If
                ElseIf EQPM(Idest, 2) = 16 Or EQPM(Idest, 2) = 18 Then
                    If frmResults.LblF(i + 4).Caption = "" Then
                        frmResults.LblF(i + 4).Caption = Index
                        key = 1
                    End If
                Else
                    If frmResults.LblF(i + 3).Caption = "" Then
                        frmResults.LblF(i + 3).Caption = Index
                        key = 1
                    End If
                End If
            ElseIf EQPM(Idest, 9) = 2 Then
                For j = 1 To 2
                    If frmResults.LblF(i + j * 2).Caption = "" And key = 0 Then
                        frmResults.LblF(i + j * 2).Caption = Index
                        key = 1
                    End If
                Next j
            ElseIf EQPM(Idest, 9) = 3 Then
                For j = 1 To 3
                    If frmResults.LblF(i + j + 1).Caption = "" And key = 0 Then
                        frmResults.LblF(i + j + 1).Caption = Index
                        key = 1
                    End If
                Next j
            ElseIf EQPM(Idest, 9) = 4 Then
                For j = 1 To 2
                    If frmResults.LblF(i + j).Caption = "" And key = 0 Then
                        frmResults.LblF(i + j).Caption = Index
                        key = 1
                    End If
                Next j
                For j = 3 To 4
                    If frmResults.LblF(i + j + 1).Caption = "" And key = 0 Then
                        frmResults.LblF(i + j + 1).Caption = Index
                        key = 1
                    End If
                Next j
            ElseIf EQPM(Idest, 9) = 5 Then
                For j = 1 To 5
                    If frmResults.LblF(i + j).Caption = "" And key = 0 Then
                        frmResults.LblF(i + j).Caption = Index
                        key = 1
                    End If
                Next j
            End If
        Next k
        i = EQPM(Index, 1) * 5 - 5
        For k = 1 To No
            If EQPM(Index, 3 + k) < 1 And EQPM(Index, 3 + k) >= 0.1 Then
                NPcounter = NPcounter + 1
                If NPcounter = 1 Then
                    P$(k) = "P1"
                ElseIf NPcounter = 2 Then
                    P$(k) = "P2"
                ElseIf NPcounter = 3 Then
                    P$(k) = "P3"
                ElseIf NPcounter = 4 Then
                    P$(k) = "P4"
                ElseIf NPcounter = 5 Then
                    P$(k) = "P5"
                ElseIf NPcounter = 6 Then
                    P$(k) = "P6"
                ElseIf NPcounter = 7 Then
                    P$(k) = "P7"
                ElseIf NPcounter = 8 Then
                    P$(k) = "P8"
                ElseIf NPcounter = 9 Then
                    P$(k) = "P9"
                End If
            ElseIf EQPM(Index, 3 + k) < 0.1 Then
                If EQPM(Index, 3 + k) = 0.01 Then
                    P$(k) = "PM"
                ElseIf EQPM(Index, 3 + k) = 0.02 Then
                    P$(k) = "WW"
                ElseIf EQPM(Index, 3 + k) = 0.03 Then
                    P$(k) = "WS"
                ElseIf EQPM(Index, 3 + k) = 0.04 Then
                    P$(k) = "SW"
                ElseIf EQPM(Index, 3 + k) = 0.05 Then
                    P$(k) = "AA"
                End If
            Else
                P$(k) = Int(EQPM(Index, 3 + k))
            End If
        Next k
        If No = 1 Then
            frmResults.LblP(i + 3).Caption = P$(1)
        ElseIf No = 2 Then
            If EQPM(Index, 2) = 16 Or EQPM(Index, 2) = 18 Then
                frmResults.LblP(i + 2).Caption = P$(2)
                frmResults.LblF(i + 2).Caption = "AA"
                frmResults.LblP(i + 4).Caption = P$(1)
            ElseIf EQPM(Index, 2) = 6 Then
                frmResults.LblP(i + 1).Caption = P$(2)
                frmResults.LblP(i + 3).Caption = P$(1)
            Else
                frmResults.LblP(i + 2).Caption = P$(1)
                frmResults.LblP(i + 4).Caption = P$(2)
                If EQPM(Index, 2) = 8 Then
                    frmResults.LblF(i + 4).Caption = "WW"
                ElseIf EQPM(Index, 2) = 10 And EQPM(Index, 5) = 0.03 Then
                    frmResults.LblF(i + 4).Caption = "WS"
                ElseIf EQPM(Index, 2) = 10 And EQPM(Index, 5) = 0.04 Then
                    frmResults.LblF(i + 4).Caption = "SW"
                End If
            End If
        ElseIf No = 3 Then
            If EQPM(Index, 2) = 3 Or EQPM(Index, 2) = 4 Then
                frmResults.LblP(i + 2).Caption = P$(1)
                frmResults.LblP(i + 3).Caption = P$(2)
            ElseIf EQPM(Index, 2) = 9 Then
                frmResults.LblP(i + 1).Caption = P$(1)
                frmResults.LblP(i + 2).Caption = P$(2)
            ElseIf EQPM(Index, 2) = 11 Then
                frmResults.LblP(i + 1).Caption = P$(1)
                frmResults.LblP(i + 2).Caption = P$(2)
                frmResults.LblF(i + 4).Caption = "SW"
            ElseIf EQPM(Index, 2) = 12 Then
                frmResults.LblP(i + 1).Caption = P$(1)
                frmResults.LblP(i + 2).Caption = P$(2)
                frmResults.LblF(i + 4).Caption = "WW"
            ElseIf EQPM(Index, 2) = 13 Then
                frmResults.LblP(i + 1).Caption = P$(2)
                frmResults.LblP(i + 2).Caption = P$(1)
            ElseIf EQPM(Index, 2) = 14 Then
                frmResults.LblP(i + 1).Caption = P$(2)
                frmResults.LblP(i + 2).Caption = P$(1)
                frmResults.LblF(i + 4).Caption = "SW"
            End If
            frmResults.LblP(i + 4).Caption = P$(3)
        ElseIf No = 4 Then
            frmResults.LblP(i + 1).Caption = P$(1)
            frmResults.LblP(i + 2).Caption = P$(2)
            frmResults.LblP(i + 4).Caption = P$(3)
            frmResults.LblP(i + 5).Caption = P$(4)
        ElseIf No = 5 Then
            frmResults.LblP(i + 1).Caption = P$(1)
            frmResults.LblP(i + 2).Caption = P$(2)
            frmResults.LblP(i + 3).Caption = P$(3)
            frmResults.LblP(i + 4).Caption = P$(4)
            frmResults.LblP(i + 5).Caption = P$(5)
        End If
    Next Index
    For i = 1 To 9
        frmResults.LblPF(i).Left = 10040 - (10 - NE) * 960
    Next i
    frmResults.ImgProd.Left = 10235 - (10 - NE) * 960
    frmResults.LblProd.Left = 10315 - (10 - NE) * 960
    frmResults.LblPType.Left = 10320 - (10 - NE) * 960
    If NPcounter = 1 Then
        frmResults.ImgProd = LoadPicture("C:\Program Files\Flowcalc\P01.bmp")
        For i = 1 To NE
            Idest = i * 5 - 5
            For j = 1 To 5
                If frmResults.LblP(Idest + j).Caption = "P1" Then
                    frmResults.LblPF(5).Caption = NE
                End If
            Next j
        Next i
    ElseIf NPcounter = 2 Then
        frmResults.ImgProd = LoadPicture("C:\Program Files\Flowcalc\P02.bmp")
        For i = 1 To NE
            Idest = i * 5 - 5
            For j = 1 To 5
                If frmResults.LblP(Idest + j).Caption = "P1" Then
                    frmResults.LblPF(3).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P2" Then
                    frmResults.LblPF(7).Caption = i
                End If
            Next j
        Next i
    ElseIf NPcounter = 3 Then
        frmResults.ImgProd = LoadPicture("C:\Program Files\Flowcalc\P03.bmp")
        For i = 1 To NE
            Idest = i * 5 - 5
            For j = 1 To 5
                If frmResults.LblP(Idest + j).Caption = "P1" Then
                    frmResults.LblPF(1).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P2" Then
                    frmResults.LblPF(5).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P3" Then
                    frmResults.LblPF(9).Caption = i
                End If
            Next j
        Next i
    ElseIf NPcounter = 4 Then
        frmResults.ImgProd = LoadPicture("C:\Program Files\Flowcalc\P04.bmp")
        For i = 1 To NE
            Idest = i * 5 - 5
            For j = 1 To 5
                If frmResults.LblP(Idest + j).Caption = "P1" Then
                    frmResults.LblPF(2).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P2" Then
                    frmResults.LblPF(4).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P3" Then
                    frmResults.LblPF(6).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P4" Then
                    frmResults.LblPF(8).Caption = i
                End If
            Next j
        Next i
    ElseIf NPcounter = 5 Then
        frmResults.ImgProd = LoadPicture("C:\Program Files\Flowcalc\P05.bmp")
        For i = 1 To NE
            Idest = i * 5 - 5
            For j = 1 To 5
                If frmResults.LblP(Idest + j).Caption = "P1" Then
                    frmResults.LblPF(1).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P2" Then
                    frmResults.LblPF(3).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P3" Then
                    frmResults.LblPF(5).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P4" Then
                    frmResults.LblPF(7).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P5" Then
                    frmResults.LblPF(9).Caption = i
                End If
            Next j
        Next i
    ElseIf NPcounter = 6 Then
        frmResults.ImgProd = LoadPicture("C:\Program Files\Flowcalc\P06.bmp")
        For i = 1 To NE
            Idest = i * 5 - 5
            For j = 1 To 5
                If frmResults.LblP(Idest + j).Caption = "P1" Then
                    frmResults.LblPF(2).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P2" Then
                    frmResults.LblPF(3).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P3" Then
                    frmResults.LblPF(4).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P4" Then
                    frmResults.LblPF(6).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P5" Then
                    frmResults.LblPF(7).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P6" Then
                    frmResults.LblPF(8).Caption = i
                End If
            Next j
        Next i
    ElseIf NPcounter = 7 Then
        frmResults.ImgProd = LoadPicture("C:\Program Files\Flowcalc\P07.bmp")
        For i = 1 To NE
            Idest = i * 5 - 5
            For j = 1 To 5
                If frmResults.LblP(Idest + j).Caption = "P1" Then
                    frmResults.LblPF(2).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P2" Then
                    frmResults.LblPF(3).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P3" Then
                    frmResults.LblPF(4).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P4" Then
                    frmResults.LblPF(5).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P5" Then
                    frmResults.LblPF(6).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P6" Then
                    frmResults.LblPF(7).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P7" Then
                    frmResults.LblPF(8).Caption = i
                End If
            Next j
        Next i
    ElseIf NPcounter = 8 Then
        frmResults.ImgProd = LoadPicture("C:\Program Files\Flowcalc\P08.bmp")
        For i = 1 To NE
            Idest = i * 5 - 5
            For j = 1 To 5
                If frmResults.LblP(Idest + j).Caption = "P1" Then
                    frmResults.LblPF(1).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P2" Then
                    frmResults.LblPF(2).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P3" Then
                    frmResults.LblPF(3).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P4" Then
                    frmResults.LblPF(4).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P5" Then
                    frmResults.LblPF(6).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P6" Then
                    frmResults.LblPF(7).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P7" Then
                    frmResults.LblPF(8).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P8" Then
                    frmResults.LblPF(9).Caption = i
                End If
            Next j
        Next i
    ElseIf NPcounter = 9 Then
        frmResults.ImgProd = LoadPicture("C:\Program Files\Flowcalc\P09.bmp")
        For i = 1 To NE
            Idest = i * 5 - 5
            For j = 1 To 5
                If frmResults.LblP(Idest + j).Caption = "P1" Then
                    frmResults.LblPF(1).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P2" Then
                    frmResults.LblPF(2).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P3" Then
                    frmResults.LblPF(3).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P4" Then
                    frmResults.LblPF(4).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P5" Then
                    frmResults.LblPF(5).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P6" Then
                    frmResults.LblPF(6).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P7" Then
                    frmResults.LblPF(7).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P8" Then
                    frmResults.LblPF(8).Caption = i
                ElseIf frmResults.LblP(Idest + j).Caption = "P9" Then
                    frmResults.LblPF(9).Caption = i
                End If
            Next j
        Next i
    End If
    frmResults.ImgProd.Visible = True
    frmResults.LblProd.Visible = True
    frmResults.LblPType.Visible = True
    For i = 1 To 9
        If frmResults.LblFP(i).Caption <> "" Then
            frmResults.LblFP(i).Enabled = True
        End If
    Next i
    For j = 1 To NE
        For i = j * 5 - 4 To j * 5
            If frmResults.LblP(i).Caption <> "" Then
                frmResults.LblP(i).Enabled = True
            End If
        Next i
    Next j
    Exit Sub
ErrorTrap:
    Beep
    MsgBox "File Error", 48, "Editor"
    Close #4
End Sub

Private Sub Dir1_Change()
    File1.Path = Dir1.Path
End Sub

Private Sub Drive1_Change()
    Dir1.Path = Drive1.Drive
End Sub

Private Sub File1_Click()
    TxtFileName.Text = File1.FileName
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Screen.MousePointer = vbDefault
    FlagFlow = 0
End Sub
